// PluginAPI.h
// ```````````

#pragma once
#include "TinyJS.h"

#ifdef BUILD_PLUGIN
#define PLUGIN_EXPORT __declspec(dllexport)
#else
#define PLUGIN_EXPORT
#endif

typedef void (*plugin_callback)(CTinyJS* js);

extern "C" {	

	void PLUGIN_EXPORT plugin_onLoad(CTinyJS* js);
	void PLUGIN_EXPORT plugin_onTick(CTinyJS* js);
	void PLUGIN_EXPORT plugin_onExit(CTinyJS* js);

};